Insert new records into table id.
For tables that have been declared but not yet created on storage (is_only_declared=true), this operation will create the table with the provided data.
REST NAMESPACE ONLY
REST namespace uses Arrow IPC stream as the request body.
It passes in the InsertIntoTableRequest information in the following way:
id: pass through path parameter of the same namemode: pass through query parameter of the same nameThe access token received from the authorization server in the OAuth 2.0 flow.
string identifier of an object in a namespace, following the Lance Namespace spec.
When the value is equal to the delimiter, it represents the root namespace.
For example, v1/namespace/$/list performs a ListNamespace on the root namespace.
An optional delimiter of the string identifier, following the Lance Namespace spec.
When not specified, the $ delimiter must be used.
How the insert should behave. Case insensitive, supports both PascalCase and snake_case. Valid values are:
Arrow IPC stream containing the records to insert
The body is of type file.
Result of inserting records into a table
Response from inserting records into a table
Optional transaction identifier